<template>
  <h1>See all our Marvel heroes</h1>

  <list class="marvel-project-list">
    <div v-if="this.$store.state.loading">
      loading...
    </div>

    <ul v-if="this.infoPerso && this.infoPerso.length">
      <li v-for="info of this.infoPerso"
        v-bind:key="info">
        <CardMarvel :parentData="info"></CardMarvel>
      </li>
    </ul>
  </list>

  <PaginationMarvel />
</template>

<script>
import CardMarvel from './CardMarvel.vue';
import PaginationMarvel from './PaginationMarvel.vue';

export default {
  name: 'ListMarvel',
  components: {
    CardMarvel,
    PaginationMarvel
  },
  data() { 
    return {}
  },  
  computed: {
    infoPerso () {
      return this.$store.getters.getInfoPerso
    }
  },
  created() {
    this.$store.dispatch('fetchApi');
  }
}
</script>

<style lang="scss" scoped>

.marvel-project-list {
  display: block;
  padding: 2rem 0;
  background: $color-white;
  margin: 0rem 5rem;
  border-radius: 2rem;
  box-shadow: 0 3px 6px rgba($color-black, 0.16), 0 3px 6px rgba($color-black, 0.23);
  
  ul {
    display: flex;
    list-style: none;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    justify-content: center;
  }
  li {
    display: flex;
    border-radius: 19px;
    margin: 1rem;
  }
}
</style>
